﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
 

namespace DataGridDataTables
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    { 
        public MainWindow()
        { 
            InitializeComponent(); 

        }
         
 
    }


    public class DataSource
    {

        public DataSource()
        {
            View = makeHrDataSet().Tables[0].DefaultView;
        }

        public DataView View { get; set; }

        private DataSet makeHrDataSet()
        {
            DataSet objDs = new DataSet();
            DataTable objTable1 = new DataTable("Table1");
            DataTable objTable2 = new DataTable("Table2");
            DataRow objRow;
            objTable1.Columns.Add("Col_1", typeof(int));
            objTable1.Columns.Add("Col_2", typeof(string));
            objTable1.Columns.Add("Col_3", typeof(string));
            objTable1.Columns.Add("Col_4", typeof(string));

            objTable2.Columns.Add("Col_1", typeof(int));
            objTable2.Columns.Add("Col_2", typeof(string));
            objTable2.Columns.Add("Col_3", typeof(string));
            objTable2.Columns.Add("Col_4", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                objRow = objTable1.NewRow();
                objRow[0] = i;
                objRow[1] = "Hello: " + i.ToString();
                objRow[2] = "Ciao: " + i.ToString();
                objRow[3] = "Hola: " + i.ToString();
                objTable1.Rows.Add(objRow);
            }


            for (int j = 0; j < 5; j++)
            {
                for (int i = 0; i < 10; i++)
                {

                    DataRow dr = objTable2.NewRow();
                    dr[0] = i;
                    dr[1] = "WPF " + i.ToString();
                    dr[2] = "Silverlight " + i.ToString();
                    dr[3] = "WinForms " + i.ToString();
                    objTable2.Rows.Add(dr);
                }
            }

            objDs.Tables.Add(objTable1);
            objDs.Tables.Add(objTable2);

            objDs.Relations.Add("Table1_Table2_FK",
            objDs.Tables[0].Columns[0],
            objDs.Tables[1].Columns[0]);

            return objDs;

        }
    }
    
}
